<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="AppTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="android:windowTranslucentNavigation">true</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:selectableItemBackground">@null</item>
        <item name="android:selectableItemBackgroundBorderless">@null</item>
        <item name="android:textCursorDrawable">@drawable/style_cursor</item>
        <item name="android:colorAccent">@color/title_background_color</item>
        <item name="android:textSelectHandle">@color/title_background_color</item>
        <item name="materialAlertDialogTheme">@style/DialogStyle</item>
    </style>

    <style name="AnimationBottomIn">
        <item name="android:windowEnterAnimation">@anim/popup_form_bottom</item>
    </style>

    <style name="DialogStyle" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:windowTitleStyle">@style/CustomDialogTitle</item>
        <item name="android:textViewStyle">@style/CustomDialogMessage</item>
    </style>

    <style name="CustomDialogTitle" parent="@android:style/TextAppearance.DialogWindowTitle">
        <item name="android:layout_marginBottom">@dimen/common_padding_huge</item>
    </style>

    <style name="CustomDialogMessage" parent="@android:style/TextAppearance">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/text_color</item>
        <item name="android:layout_marginTop">@dimen/common_padding</item>
        <item name="android:layout_marginBottom">@dimen/common_padding_huge</item>
    </style>

    <style name="CheckBoxTheme">
        <item name="colorAccent">@color/title_background_color</item>
        <item name="colorButtonNormal">@color/white</item>
    </style>

</resources>